@import "@/styles/variables";

.headers-list {
    display: none;
    padding-left: 0;

    @include smallscreen {
        display: flex;
        justify-content: flex-start;
        list-style: none;
    }

    @include notebook {
        padding-left: 3rem;
    }

    a {
        text-decoration: none;
        padding: 0.5rem 1rem;

        &:hover,
        &:active,
        &:focus,
        &:focus-visible {
            text-decoration: none;
            border-bottom: 2px solid $blue-500;
            padding: 1.5rem 1rem;
            font-weight: 700;
        }
    }

    li {
        padding: 1rem 0;
    }

    .active {
        border-bottom: 2px solid $blue-500;
        padding: 1rem;
        font-weight: 700;

        @include smallscreen {
            padding: 1.5rem 1rem;
        }
    }
}
